Check import status
curl --request GET \
--url https://api.hubapi.com/files/2026-03/files/import-from-url/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/files/2026-03/files/import-from-url/async/tasks/{taskId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/files/2026-03/files/import-from-url/async/tasks/{taskId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"defaultHostingUrl": "<string>",
"encoding": "<string>",
"expiresAt": 123,
"extension": "<string>",
"fileMd5": "<string>",
"height": 123,
"isUsableInContent": true,
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>",
"size": 123,
"type": "<string>",
"url": "<string>",
"width": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Files
Check import status
Check the status of requested import.
GET
/
files
/
2026-03
/
files
/
import-from-url
/
async
/
tasks
/
{taskId}
/
status
Check import status
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
successful operation
Time of completion of task.
Timestamp of when the task was started.
Current status of the task.
Available options:
CANCELED, COMPLETE, PENDING, PROCESSING ID of the requested task.
Descriptive error messages.
Show child attributes
Show child attributes
Link to check the status of the requested task.
Show child attributes
Show child attributes
Number of errors resulting from the task.
Timestamp of when the task was requested.
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I